# Message Class Reference
[The CERTI library.]

The Message class is used to formalize messages that are going to be exchanged between the RTI and the federate. More...

`#include <Message.hh>`

Inheritance diagram for Message:

[legend]

List of all members.

## Public Types
enum | Type { NOT_USED = 0, CLOSE_CONNEXION, CREATE_FEDERATION_EXECUTION, DESTROY_FEDERATION_EXECUTION, JOIN_FEDERATION_EXECUTION, RESIGN_FEDERATION_EXECUTION, REGISTER_FEDERATION_SYNCHRONIZATION_POINT, SYNCHRONIZATION_POINT_REGISTRATION_FAILED, SYNCHRONIZATION_POINT_REGISTRATION_SUCCEEDED, ANNOUNCE_SYNCHRONIZATION_POINT, SYNCHRONIZATION_POINT_ACHIEVED, FEDERATION_SYNCHRONIZED, REQUEST_FEDERATION_SAVE, INITIATE_FEDERATE_SAVE, FEDERATE_SAVE_BEGUN, FEDERATE_SAVE_COMPLETE, FEDERATE_SAVE_NOT_COMPLETE, FEDERATION_SAVED, FEDERATION_NOT_SAVED, REQUEST_FEDERATION_RESTORE, REQUEST_FEDERATION_RESTORE_FAILED, REQUEST_FEDERATION_RESTORE_SUCCEEDED, INITIATE_FEDERATE_RESTORE, FEDERATE_RESTORE_COMPLETE, FEDERATE_RESTORE_NOT_COMPLETE, FEDERATION_RESTORED, FEDERATION_NOT_RESTORED, FEDERATION_RESTORE_BEGUN, PUBLISH_OBJECT_CLASS, UNPUBLISH_OBJECT_CLASS, PUBLISH_INTERACTION_CLASS, UNPUBLISH_INTERACTION_CLASS, SUBSCRIBE_OBJECT_CLASS_ATTRIBUTES, UNSUBSCRIBE_OBJECT_CLASS, SUBSCRIBE_INTERACTION_CLASS, UNSUBSCRIBE_INTERACTION_CLASS, START_REGISTRATION_FOR_OBJECT_CLASS, STOP_REGISTRATION_FOR_OBJECT_CLASS, TURN_INTERACTIONS_ON, TURN_INTERACTIONS_OFF, REGISTER_OBJECT_INSTANCE, UPDATE_ATTRIBUTE_VALUES, DISCOVER_OBJECT_INSTANCE, REFLECT_ATTRIBUTE_VALUES, SEND_INTERACTION, RECEIVE_INTERACTION, DELETE_OBJECT_INSTANCE, LOCAL_DELETE_OBJECT_INSTANCE, REMOVE_OBJECT_INSTANCE, CHANGE_ATTRIBUTE_TRANSPORTATION_TYPE, CHANGE_INTERACTION_TRANSPORTATION_TYPE, REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE, REQUEST_CLASS_ATTRIBUTE_VALUE_UPDATE, PROVIDE_ATTRIBUTE_VALUE_UPDATE, ATTRIBUTES_IN_SCOPE, ATTRIBUTES_OUT_OF_SCOPE, TURN_UPDATES_ON_FOR_OBJECT_INSTANCE, TURN_UPDATES_OFF_FOR_OBJECT_INSTANCE, REQUEST_ATTRIBUTE_OWNERSHIP_DIVESTITURE, REQUEST_ATTRIBUTE_OWNERSHIP_ASSUMPTION, NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, ATTRIBUTE_OWNERSHIP_DIVESTITURE_NOTIFICATION, ATTRIBUTE_OWNERSHIP_ACQUISITION_NOTIFICATION, REQUEST_ATTRIBUTE_OWNERSHIP_ACQUISITION, REQUEST_ATTRIBUTE_OWNERSHIP_RELEASE, QUERY_ATTRIBUTE_OWNERSHIP, INFORM_ATTRIBUTE_OWNERSHIP, IS_ATTRIBUTE_OWNED_BY_FEDERATE, ATTRIBUTE_IS_NOT_OWNED, ATTRIBUTE_OWNED_BY_RTI, ATTRIBUTE_OWNERSHIP_ACQUISITION_IF_AVAILABLE, ATTRIBUTE_OWNERSHIP_UNAVAILABLE, UNCONDITIONAL_ATTRIBUTE_OWNERSHIP_DIVESTITURE, ATTRIBUTE_OWNERSHIP_ACQUISITION, CANCEL_NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, ATTRIBUTE_OWNERSHIP_RELEASE_RESPONSE, CANCEL_ATTRIBUTE_OWNERSHIP_ACQUISITION, CONFIRM_ATTRIBUTE_OWNERSHIP_ACQUISITION_CANCELLATION, CHANGE_ATTRIBUTE_ORDER_TYPE, CHANGE_INTERACTION_ORDER_TYPE, ENABLE_TIME_REGULATION, DISABLE_TIME_REGULATION, ENABLE_TIME_CONSTRAINED, DISABLE_TIME_CONSTRAINED, QUERY_LBTS, QUERY_FEDERATE_TIME, QUERY_MIN_NEXT_EVENT_TIME, MODIFY_LOOKAHEAD, QUERY_LOOKAHEAD, RETRACT, REQUEST_RETRACTION, TIME_ADVANCE_REQUEST, TIME_ADVANCE_REQUEST_AVAILABLE, NEXT_EVENT_REQUEST, NEXT_EVENT_REQUEST_AVAILABLE, FLUSH_QUEUE_REQUEST, TIME_ADVANCE_GRANT, ENABLE_ASYNCHRONOUS_DELIVERY, DISABLE_ASYNCHRONOUS_DELIVERY, TIME_REGULATION_ENABLED, TIME_CONSTRAINED_ENABLED, DDM_CREATE_REGION, DDM_MODIFY_REGION, DDM_DELETE_REGION, DDM_REGISTER_OBJECT, DDM_ASSOCIATE_REGION, DDM_UNASSOCIATE_REGION, DDM_SUBSCRIBE_ATTRIBUTES, DDM_UNSUBSCRIBE_ATTRIBUTES, DDM_SUBSCRIBE_INTERACTION, DDM_UNSUBSCRIBE_INTERACTION, DDM_REQUEST_UPDATE, GET_OBJECT_CLASS_HANDLE, GET_OBJECT_CLASS_NAME, GET_ATTRIBUTE_HANDLE, GET_ATTRIBUTE_NAME, GET_INTERACTION_CLASS_HANDLE, GET_INTERACTION_CLASS_NAME, GET_PARAMETER_HANDLE, GET_PARAMETER_NAME, GET_OBJECT_INSTANCE_HANDLE, GET_OBJECT_INSTANCE_NAME, GET_SPACE_HANDLE, GET_SPACE_NAME, GET_DIMENSION_HANDLE, GET_DIMENSION_NAME, GET_ATTRIBUTE_SPACE_HANDLE, GET_OBJECT_CLASS, GET_INTERACTION_SPACE_HANDLE, GET_TRANSPORTATION_HANDLE, GET_TRANSPORTATION_NAME, GET_ORDERING_HANDLE, GET_ORDERING_NAME, ENABLE_CLASS_RELEVANCE_ADVISORY_SWITCH, DISABLE_CLASS_RELEVANCE_ADVISORY_SWITCH, ENABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, DISABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, ENABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH, DISABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH, ENABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH, DISABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH, TICK_REQUEST, TICK_REQUEST_NEXT, TICK_REQUEST_STOP, LAST }
## Public Member Functions
| Message ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
void | send (SocketUN *socket, MessageBuffer &msgBuffer) throw (NetworkError, NetworkSignal)
void | receive (SocketUN *socket, MessageBuffer &msgBuffer) throw (NetworkError, NetworkSignal)
void | trace (const char *context)
std::vector< AttributeValue_t > | getValueArray ()
| Return a newly allocated ValueArray, exactly of size HandleArraySize.
std::string | getLabel () const
void | setLabel (std::string new_label)
| set label into a Message
const std::string | getName () const
void | setName (const char *new_name)
DimensionHandle | getDimension () const
void | setDimension (DimensionHandle)
std::string | getFederationName () const
void | setFederationName (std::string federation_name)
| Sets the federation name.
std::string | getFederateName () const
void | setFederateName (std::string federate_name)
std::string | getTag () const
void | setTag (std::string new_tag)
| Store Tag into a Message.
SpaceHandle | getSpace () const
void | setSpace (SpaceHandle)
Type | getType () const
void | setType (Type)
unsigned long | getNumber () const
void | setNumber (unsigned long)
long | getRegion () const
void | setRegion (long)
RTI::TickTime | getMinTickTime () const
void | setMinTickTime (RTI::TickTime)
RTI::TickTime | getMaxTickTime () const
void | setMaxTickTime (RTI::TickTime)
void | setFederationTimeDelta (FederationTimeDelta)
FederationTimeDelta | getFederationTimeDelta () const
void | setAttribute (AttributeHandle)
AttributeHandle | getAttribute () const
void | setInteractionClass (InteractionClassHandle)
InteractionClassHandle | getInteractionClass () const
void | setObjectClass (ObjectClassHandle)
ObjectClassHandle | getObjectClass () const
void | setResignAction (RTI::ResignAction)
RTI::ResignAction | getResignAction () const
void | setFedTime (const double)
| Store FedTime into a Message.
double | getFedTime () const
void | setLookahead (const double)
void | setFederationTime (FederationTime)
FederationTime | getFederationTime () const
void | setBoolean (bool)
| Store a boolean into a Message.
bool | getBoolean () const
void | setObject (ObjectHandle)
| Store ObjectHandle into a Message.
ObjectHandle | getObject () const
void | setTransportation (TransportType)
TransportType | getTransportation () const
void | setOrdering (OrderType)
OrderType | getOrdering () const
void | setEventRetraction (EventRetractionHandle)
EventRetractionHandle | getEventRetraction () const
void | setParameter (ParameterHandle)
ParameterHandle | getParameter () const
void | setFederate (FederateHandle)
FederateHandle | getFederate () const
const std::vector < AttributeHandle > & | getAHS () const
void | setAHS (const std::vector< AttributeHandle > &)
void | setAHS (const AttributeHandle *, int)
std::vector< std::pair < AttributeHandle, AttributeValue_t > > | getAHVPS () const
void | setAHVPS (const std::vector< std::pair< AttributeHandle, AttributeValue_t > > &)
| store attribute set into handleArray and valueArray of a Message
std::vector< std::pair < ParameterHandle, ParameterValue_t > > | getPHVPS () const
void | setPHVPS (const std::vector< std::pair< ParameterHandle, ParameterValue_t > > &)
void | setAttributes (std::vector< AttributeHandle > &, ushort)
void | setAttributes (std::vector< AttributeHandle > &, std::vector< AttributeValue_t > &, ushort)
void | setParameters (std::vector< ParameterHandle > &, std::vector< ParameterValue_t > &, ushort)
void | setException (TypeException, const std::string &the_reason="")
| Store exception into message.
TypeException | getExceptionType () const
const char * | getExceptionReason () const
std::string | getFEDid () const
void | setFEDid (std::string FEDid)
void | displayvalueArray (char *)
Message & | operator= (const Message &)
void | display (char *)
## Public Attributes
Type | type
UShort | handleArraySize
std::vector< AttributeHandle > | handleArray
std::vector< AttributeValue_t > | valueArray
## Protected Attributes
std::string | exceptionReason
FedTime | fed_time
bool | boolean
FederationTimeDelta | lookahead
FederateHandle | federate
RTI::ResignAction | resignAction
UShort | idCount
ObjectHandle | firstId
ObjectHandle | lastId
ObjectClassHandle | objectClass
InteractionClassHandle | interactionClass
AttributeHandle | attribute
ParameterHandle | parameter
ObjectHandle | object
TransportType | transport
OrderType | order
EventRetractionHandle | eventRetraction
SpaceHandle | space
DimensionHandle | dimension
unsigned long | number
long | region
RTI::TickTime | minTickTime
RTI::TickTime | maxTickTime
## Private Member Functions
void | readBody (MessageBuffer &msgBuffer)
| Read a Message Body from a Socket, should be called after ReadHeader.
void | readHeader (MessageBuffer &msgBuffer)
void | writeBody (MessageBuffer &msgBuffer)
void | writeHeader (MessageBuffer &msgBuffer)
void | readHandleArray (MessageBuffer &msgBuffer)
void | readLabel (MessageBuffer &msgBuffer)
void | readName (MessageBuffer &msgBuffer)
void | readFederationName (MessageBuffer &msgBuffer)
void | readFederateName (MessageBuffer &msgBuffer)
void | readResignAction (MessageBuffer &msgBuffer)
void | readTag (MessageBuffer &msgBuffer)
void | readValueArray (MessageBuffer &msgBuffer)
| readValueArray.
void | readFEDid (MessageBuffer &msgBuffer)
void | writeHandleArray (MessageBuffer &msgBuffer)
void | writeResignAction (MessageBuffer &msgBuffer)
void | writeValueArray (MessageBuffer &msgBuffer)
void | writeFEDid (MessageBuffer &msgBuffer)
void | writeFederationName (MessageBuffer &msgBuffer)
## Private Attributes
MessageHeader | header
std::string | label
std::string | name
std::string | federateName
std::string | federationName
std::string | tag
std::string | FEDid
## Classes
struct | Message_DDM
struct | MessageHeader
struct | MessageJ_R_Struct
struct | MessageO_I_Struct
struct | MessageT_O_Struct
struct | MessageTimeStruct

## Detailed Description

The Message class is used to formalize messages that are going to be exchanged between the RTI and the federate.

Definition at line 41 of file Message.hh.

## Member Enumeration Documentation

enum Type

Enumerator:

  NOT_USED |
  CLOSE_CONNEXION |
  CREATE_FEDERATION_EXECUTION |
  DESTROY_FEDERATION_EXECUTION |
  JOIN_FEDERATION_EXECUTION |
  RESIGN_FEDERATION_EXECUTION |
  REGISTER_FEDERATION_SYNCHRONIZATION_POINT |
  SYNCHRONIZATION_POINT_REGISTRATION_FAILED |
  SYNCHRONIZATION_POINT_REGISTRATION_SUCCEEDED |
  ANNOUNCE_SYNCHRONIZATION_POINT |
  SYNCHRONIZATION_POINT_ACHIEVED |
  FEDERATION_SYNCHRONIZED |
  REQUEST_FEDERATION_SAVE |
  INITIATE_FEDERATE_SAVE |
  FEDERATE_SAVE_BEGUN |
  FEDERATE_SAVE_COMPLETE |
  FEDERATE_SAVE_NOT_COMPLETE |
  FEDERATION_SAVED |
  FEDERATION_NOT_SAVED |
  REQUEST_FEDERATION_RESTORE |
  REQUEST_FEDERATION_RESTORE_FAILED |
  REQUEST_FEDERATION_RESTORE_SUCCEEDED |
  INITIATE_FEDERATE_RESTORE |
  FEDERATE_RESTORE_COMPLETE |
  FEDERATE_RESTORE_NOT_COMPLETE |
  FEDERATION_RESTORED |
  FEDERATION_NOT_RESTORED |
  FEDERATION_RESTORE_BEGUN |
  PUBLISH_OBJECT_CLASS |
  UNPUBLISH_OBJECT_CLASS |
  PUBLISH_INTERACTION_CLASS |
  UNPUBLISH_INTERACTION_CLASS |
  SUBSCRIBE_OBJECT_CLASS_ATTRIBUTES |
  UNSUBSCRIBE_OBJECT_CLASS |
  SUBSCRIBE_INTERACTION_CLASS |
  UNSUBSCRIBE_INTERACTION_CLASS |
  START_REGISTRATION_FOR_OBJECT_CLASS |
  STOP_REGISTRATION_FOR_OBJECT_CLASS |
  TURN_INTERACTIONS_ON |
  TURN_INTERACTIONS_OFF |
  REGISTER_OBJECT_INSTANCE |
  UPDATE_ATTRIBUTE_VALUES |
  DISCOVER_OBJECT_INSTANCE |
  REFLECT_ATTRIBUTE_VALUES |
  SEND_INTERACTION |
  RECEIVE_INTERACTION |
  DELETE_OBJECT_INSTANCE |
  LOCAL_DELETE_OBJECT_INSTANCE |
  REMOVE_OBJECT_INSTANCE |
  CHANGE_ATTRIBUTE_TRANSPORTATION_TYPE |
  CHANGE_INTERACTION_TRANSPORTATION_TYPE |
  REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE |
  REQUEST_CLASS_ATTRIBUTE_VALUE_UPDATE |
  PROVIDE_ATTRIBUTE_VALUE_UPDATE |
  ATTRIBUTES_IN_SCOPE |
  ATTRIBUTES_OUT_OF_SCOPE |
  TURN_UPDATES_ON_FOR_OBJECT_INSTANCE |
  TURN_UPDATES_OFF_FOR_OBJECT_INSTANCE |
  REQUEST_ATTRIBUTE_OWNERSHIP_DIVESTITURE |
  REQUEST_ATTRIBUTE_OWNERSHIP_ASSUMPTION |
  NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE |
  ATTRIBUTE_OWNERSHIP_DIVESTITURE_NOTIFICATION |
  ATTRIBUTE_OWNERSHIP_ACQUISITION_NOTIFICATION |
  REQUEST_ATTRIBUTE_OWNERSHIP_ACQUISITION |
  REQUEST_ATTRIBUTE_OWNERSHIP_RELEASE |
  QUERY_ATTRIBUTE_OWNERSHIP |
  INFORM_ATTRIBUTE_OWNERSHIP |
  IS_ATTRIBUTE_OWNED_BY_FEDERATE |
  ATTRIBUTE_IS_NOT_OWNED |
  ATTRIBUTE_OWNED_BY_RTI |
  ATTRIBUTE_OWNERSHIP_ACQUISITION_IF_AVAILABLE |
  ATTRIBUTE_OWNERSHIP_UNAVAILABLE |
  UNCONDITIONAL_ATTRIBUTE_OWNERSHIP_DIVESTITURE |
  ATTRIBUTE_OWNERSHIP_ACQUISITION |
  CANCEL_NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE |
  ATTRIBUTE_OWNERSHIP_RELEASE_RESPONSE |
  CANCEL_ATTRIBUTE_OWNERSHIP_ACQUISITION |
  CONFIRM_ATTRIBUTE_OWNERSHIP_ACQUISITION_CANCELLATION |
  CHANGE_ATTRIBUTE_ORDER_TYPE |
  CHANGE_INTERACTION_ORDER_TYPE |
  ENABLE_TIME_REGULATION |
  DISABLE_TIME_REGULATION |
  ENABLE_TIME_CONSTRAINED |
  DISABLE_TIME_CONSTRAINED |
  QUERY_LBTS |
  QUERY_FEDERATE_TIME |
  QUERY_MIN_NEXT_EVENT_TIME |
  MODIFY_LOOKAHEAD |
  QUERY_LOOKAHEAD |
  RETRACT |
  REQUEST_RETRACTION |
  TIME_ADVANCE_REQUEST |
  TIME_ADVANCE_REQUEST_AVAILABLE |
  NEXT_EVENT_REQUEST |
  NEXT_EVENT_REQUEST_AVAILABLE |
  FLUSH_QUEUE_REQUEST |
  TIME_ADVANCE_GRANT |
  ENABLE_ASYNCHRONOUS_DELIVERY |
  DISABLE_ASYNCHRONOUS_DELIVERY |
  TIME_REGULATION_ENABLED |
  TIME_CONSTRAINED_ENABLED |
  DDM_CREATE_REGION |
  DDM_MODIFY_REGION |
  DDM_DELETE_REGION |
  DDM_REGISTER_OBJECT |
  DDM_ASSOCIATE_REGION |
  DDM_UNASSOCIATE_REGION |
  DDM_SUBSCRIBE_ATTRIBUTES |
  DDM_UNSUBSCRIBE_ATTRIBUTES |
  DDM_SUBSCRIBE_INTERACTION |
  DDM_UNSUBSCRIBE_INTERACTION |
  DDM_REQUEST_UPDATE |
  GET_OBJECT_CLASS_HANDLE |
  GET_OBJECT_CLASS_NAME |
  GET_ATTRIBUTE_HANDLE |
  GET_ATTRIBUTE_NAME |
  GET_INTERACTION_CLASS_HANDLE |
  GET_INTERACTION_CLASS_NAME |
  GET_PARAMETER_HANDLE |
  GET_PARAMETER_NAME |
  GET_OBJECT_INSTANCE_HANDLE |
  GET_OBJECT_INSTANCE_NAME |
  GET_SPACE_HANDLE |
  GET_SPACE_NAME |
  GET_DIMENSION_HANDLE |
  GET_DIMENSION_NAME |
  GET_ATTRIBUTE_SPACE_HANDLE |
  GET_OBJECT_CLASS |
  GET_INTERACTION_SPACE_HANDLE |
  GET_TRANSPORTATION_HANDLE |
  GET_TRANSPORTATION_NAME |
  GET_ORDERING_HANDLE |
  GET_ORDERING_NAME |
  ENABLE_CLASS_RELEVANCE_ADVISORY_SWITCH |
  DISABLE_CLASS_RELEVANCE_ADVISORY_SWITCH |
  ENABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH |
  DISABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH |
  ENABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH |
  DISABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH |
  ENABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH |
  DISABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH |
  TICK_REQUEST |
  TICK_REQUEST_NEXT |
  TICK_REQUEST_STOP |
  LAST |

Definition at line 82 of file Message.hh.

## Constructor & Destructor Documentation

Message | ( |  | ) |

Definition at line 40 of file Message.cc.

References Message::attribute, Message::dimension, certi::e_NO_EXCEPTION, Message::exceptionReason, Message::fed_time, Message::federate, Message::federateName, Message::firstId, Message::handleArraySize, Message::idCount, Message::interactionClass, Message::label, Message::lastId, Message::lookahead, Message::name, RTI::NO_ACTION, Message::NOT_USED, Message::number, Message::objectClass, Message::order, Message::parameter, Message::region, Message::resignAction, FedTime::setZero(), Message::space, Message::tag, Message::transport, Message::type, and Message::valueArray.

Here is the call graph for this function:

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from BasicMessage.

Definition at line 56 of file Message_W.cc.

References certi::D, certi::G, Message::getName(), Message::LAST, Message::NOT_USED, PrettyDebug::Out(), pdDebug, pdGendoc, Message::type, Message::writeBody(), and Message::writeHeader().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from BasicMessage.

Definition at line 61 of file Message_R.cc.

References certi::D, certi::G, Message::getName(), PrettyDebug::Out(), pdDebug, pdGendoc, Message::readBody(), and Message::readHeader().

Here is the call graph for this function:

void send | ( | SocketUN * | socket,
|  | MessageBuffer & | msgBuffer |
| ) |  |  | throw (NetworkError, NetworkSignal)

Definition at line 37 of file Message_W.cc.

References certi::D, certi::G, PrettyDebug::Out(), pdDebug, and pdGendoc.

Referenced by RTI::RTIambassador::__tick_kernel(), RTIambPrivateRefs::executeService(), Communications::requestFederateService(), RTIambPrivateRefs::sendTickRequestStop(), and Communications::sendUN().

Here is the call graph for this function:

void receive | ( | SocketUN * | socket,
|  | MessageBuffer & | msgBuffer |
| ) |  |  | throw (NetworkError, NetworkSignal)

Definition at line 37 of file Message_R.cc.

References certi::D, certi::G, PrettyDebug::Out(), pdDebug, and pdGendoc.

Referenced by RTI::RTIambassador::__tick_kernel(), RTIambPrivateRefs::executeService(), Communications::receiveUN(), and RTIambPrivateRefs::sendTickRequestStop().

Here is the call graph for this function:

void trace | ( | const char * | context | ) |

Definition at line 643 of file Message_R.cc.

References certi::D, PrettyDebug::Mes(), pdMessage, and Message::type.

Referenced by RTI::RTIambassador::__tick_kernel(), and Message::readBody().

Here is the call graph for this function:

std::vector< ParameterValue_t > getValueArray | ( |  | ) |

Return a newly allocated ValueArray, exactly of size HandleArraySize.

Definition at line 78 of file Message.cc.

References certi::G, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, and Message::valueArray.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

std::string getLabel | ( |  | ) | const`[inline]`

Definition at line 275 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing().

void setLabel | ( | std::string | NewLabel | ) |

set label into a Message

Parameters:

  | NewLabel | copied (strcpy) into Message label (NULL label is stored as an empty string)

Definition at line 100 of file Message.cc.

References Message::label.

Referenced by FederationManagement::announceSynchronizationPoint(), FederationManagement::federationSynchronized(), FederationManagement::initiateFederateRestore(), FederationManagement::initiateFederateSave(), RTI::RTIambassador::registerFederationSynchronizationPoint(), RTI::RTIambassador::requestFederationRestore(), FederationManagement::requestFederationRestoreStatus(), RTI::RTIambassador::requestFederationSave(), RTI::RTIambassador::synchronizationPointAchieved(), FederationManagement::synchronizationPointRegistrationFailed(), and FederationManagement::synchronizationPointRegistrationSucceeded().

const std::string getName | ( |  | ) | const`[inline]`

Definition at line 279 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), Message::deserialize(), ObjectManagement::discoverObject(), RTI::RTIambassador::getAttributeName(), RTI::RTIambassador::getDimensionName(), RTI::RTIambassador::getInteractionClassName(), RTI::RTIambassador::getObjectClassName(), RTI::RTIambassador::getObjectInstanceName(), RTI::RTIambassador::getOrderingName(), RTI::RTIambassador::getParameterName(), RTI::RTIambassador::getRoutingSpaceName(), RTI::RTIambassador::getTransportationName(), and Message::serialize().

void setName | ( | const char * | new_name | ) |

Definition at line 107 of file Message.cc.

References Message::name.

Referenced by RTIA::chooseFederateProcessing(), ObjectManagement::discoverObject(), RTI::RTIambassador::getAttributeHandle(), RTI::RTIambassador::getDimensionHandle(), RTI::RTIambassador::getInteractionClassHandle(), RTI::RTIambassador::getObjectClassHandle(), RTI::RTIambassador::getObjectInstanceHandle(), RTI::RTIambassador::getOrderingHandle(), RTI::RTIambassador::getParameterHandle(), RTI::RTIambassador::getRoutingSpaceHandle(), RTI::RTIambassador::getTransportationHandle(), and RTI::RTIambassador::registerObjectInstance().

DimensionHandle getDimension | ( |  | ) | const`[inline]`

Definition at line 282 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getDimensionHandle().

void setDimension | ( | DimensionHandle | handle | ) |

Definition at line 155 of file Message.cc.

References Message::dimension.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getDimensionName().

std::string getFederationName | ( |  | ) | const`[inline]`

Definition at line 285 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing().

void setFederationName | ( | std::string | federation_name | ) |

Sets the federation name.

Definition at line 450 of file Message.cc.

References Message::federationName.

Referenced by RTIA::chooseFederateProcessing(), RTI::RTIambassador::createFederationExecution(), RTI::RTIambassador::destroyFederationExecution(), and RTI::RTIambassador::joinFederationExecution().

std::string getFederateName | ( |  | ) | const`[inline]`

Definition at line 288 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing().

void setFederateName | ( | std::string | federate_name | ) |

Definition at line 460 of file Message.cc.

References Message::federateName.

Referenced by RTI::RTIambassador::joinFederationExecution().

std::string getTag | ( |  | ) | const`[inline]`

Definition at line 291 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::isAttributeOwnedByFederate().

void setTag | ( | std::string | new_tag | ) |

Store Tag into a Message.

Parameters:

  | new_tag | tag

Definition at line 471 of file Message.cc.

References Message::tag.

Referenced by FederationManagement::announceSynchronizationPoint(), RTI::RTIambassador::attributeOwnershipAcquisition(), RTIA::chooseFederateProcessing(), RTI::RTIambassador::deleteObjectInstance(), RTI::RTIambassador::negotiatedAttributeOwnershipDivestiture(), ObjectManagement::receiveInteraction(), ObjectManagement::reflectAttributeValues(), RTI::RTIambassador::registerFederationSynchronizationPoint(), RTI::RTIambassador::registerObjectInstanceWithRegion(), ObjectManagement::removeObject(), OwnershipManagement::requestAttributeOwnershipAssumption(), OwnershipManagement::requestAttributeOwnershipRelease(), FederationManagement::requestFederationRestoreStatus(), RTI::RTIambassador::sendInteraction(), RTI::RTIambassador::sendInteractionWithRegion(), and RTI::RTIambassador::updateAttributeValues().

SpaceHandle getSpace | ( |  | ) | const`[inline]`

Definition at line 294 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), RTI::RTIambassador::getAttributeRoutingSpaceHandle(), RTI::RTIambassador::getInteractionRoutingSpaceHandle(), and RTI::RTIambassador::getRoutingSpaceHandle().

void setSpace | ( | SpaceHandle | handle | ) |

Definition at line 127 of file Message.cc.

References Message::space.

Referenced by RTIA::chooseFederateProcessing(), RTI::RTIambassador::createRegion(), RTI::RTIambassador::getDimensionHandle(), RTI::RTIambassador::getDimensionName(), and RTI::RTIambassador::getRoutingSpaceName().

Type getType | ( |  | ) | const`[inline]`

Definition at line 297 of file Message.hh.

void setType | ( | Type | t | ) |

Definition at line 114 of file Message.cc.

References Message::type.

Referenced by RTI::RTIambassador::createRegion(), RTI::RTIambassador::deleteRegion(), RTI::RTIambassador::notifyAboutRegionModification(), RTI::RTIambassador::registerObjectInstanceWithRegion(), RTI::RTIambassador::requestClassAttributeValueUpdateWithRegion(), and RTI::RTIambassador::sendInteractionWithRegion().

unsigned long getNumber | ( |  | ) | const`[inline]`

Definition at line 300 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::createRegion().

void setNumber | ( | unsigned long | nb | ) |

Definition at line 120 of file Message.cc.

References Message::number.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::createRegion().

long getRegion | ( |  | ) | const`[inline]`

Definition at line 303 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::createRegion().

void setRegion | ( | long | handle | ) |

Definition at line 134 of file Message.cc.

References Message::region.

Referenced by RTI::RTIambassador::associateRegionForUpdates(), RTIA::chooseFederateProcessing(), RTI::RTIambassador::deleteRegion(), RTI::RTIambassador::notifyAboutRegionModification(), RTI::RTIambassador::requestClassAttributeValueUpdateWithRegion(), RTI::RTIambassador::sendInteraction(), RTI::RTIambassador::sendInteractionWithRegion(), RTI::RTIambassador::subscribeInteractionClassWithRegion(), RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(), RTI::RTIambassador::unassociateRegionForUpdates(), RTI::RTIambassador::unsubscribeInteractionClassWithRegion(), and RTI::RTIambassador::unsubscribeObjectClassWithRegion().

RTI::TickTime getMinTickTime | ( |  | ) | const`[inline]`

Definition at line 306 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing().

void setMinTickTime | ( | RTI::TickTime | time | ) |

Definition at line 141 of file Message.cc.

References Message::minTickTime.

Referenced by RTI::RTIambassador::__tick_kernel(), and RTIA::processOngoingTick().

RTI::TickTime getMaxTickTime | ( |  | ) | const`[inline]`

Definition at line 309 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing().

void setMaxTickTime | ( | RTI::TickTime | time | ) |

Definition at line 148 of file Message.cc.

References Message::maxTickTime.

Referenced by RTI::RTIambassador::__tick_kernel(), and RTIA::processOngoingTick().

void setFederationTimeDelta | ( | FederationTimeDelta | the_lookahead | ) |

Definition at line 190 of file Message.cc.

References Message::lookahead.

Referenced by RTIA::chooseFederateProcessing().

FederationTimeDelta getFederationTimeDelta | ( |  | ) | const`[inline]`

Definition at line 313 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::queryLookahead().

void setAttribute | ( | AttributeHandle | handle | ) |

Definition at line 176 of file Message.cc.

References Message::attribute.

Referenced by OwnershipManagement::attributeIsNotOwned(), RTIA::chooseFederateProcessing(), RTI::RTIambassador::getAttributeName(), RTI::RTIambassador::getAttributeRoutingSpaceHandle(), OwnershipManagement::informAttributeOwnership(), RTI::RTIambassador::isAttributeOwnedByFederate(), and RTI::RTIambassador::queryAttributeOwnership().

AttributeHandle getAttribute | ( |  | ) | const`[inline]`

Definition at line 317 of file Message.hh.

References certi::fedparser::attribute.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getAttributeHandle().

void setInteractionClass | ( | InteractionClassHandle | handle | ) |

Definition at line 162 of file Message.cc.

References Message::interactionClass.

Referenced by RTI::RTIambassador::changeInteractionOrderType(), RTI::RTIambassador::changeInteractionTransportationType(), RTIA::chooseFederateProcessing(), RTI::RTIambassador::getInteractionClassName(), RTI::RTIambassador::getInteractionRoutingSpaceHandle(), RTI::RTIambassador::getParameterHandle(), RTI::RTIambassador::getParameterName(), RTI::RTIambassador::publishInteractionClass(), ObjectManagement::receiveInteraction(), RTI::RTIambassador::sendInteraction(), RTI::RTIambassador::sendInteractionWithRegion(), RTI::RTIambassador::subscribeInteractionClass(), RTI::RTIambassador::subscribeInteractionClassWithRegion(), DeclarationManagement::turnInteractionsOff(), DeclarationManagement::turnInteractionsOn(), RTI::RTIambassador::unpublishInteractionClass(), RTI::RTIambassador::unsubscribeInteractionClass(), and RTI::RTIambassador::unsubscribeInteractionClassWithRegion().

InteractionClassHandle getInteractionClass | ( |  | ) | const`[inline]`

Definition at line 320 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getInteractionClassHandle().

void setObjectClass | ( | ObjectClassHandle | handle | ) |

Definition at line 169 of file Message.cc.

References Message::objectClass.

Referenced by RTIA::chooseFederateProcessing(), ObjectManagement::discoverObject(), RTI::RTIambassador::getAttributeHandle(), RTI::RTIambassador::getAttributeName(), RTI::RTIambassador::getAttributeRoutingSpaceHandle(), RTI::RTIambassador::getObjectClassName(), RTI::RTIambassador::publishObjectClass(), RTI::RTIambassador::registerObjectInstance(), RTI::RTIambassador::registerObjectInstanceWithRegion(), RTI::RTIambassador::requestClassAttributeValueUpdate(), DeclarationManagement::startRegistrationForObjectClass(), DeclarationManagement::stopRegistrationForObjectClass(), RTI::RTIambassador::subscribeObjectClassAttributes(), RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(), RTI::RTIambassador::unpublishObjectClass(), RTI::RTIambassador::unsubscribeObjectClass(), and RTI::RTIambassador::unsubscribeObjectClassWithRegion().

ObjectClassHandle getObjectClass | ( |  | ) | const`[inline]`

Definition at line 325 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), RTI::RTIambassador::getObjectClass(), and RTI::RTIambassador::getObjectClassHandle().

void setResignAction | ( | RTI::ResignAction | the_action | ) |

Definition at line 183 of file Message.cc.

References Message::resignAction.

Referenced by RTI::RTIambassador::resignFederationExecution().

RTI::ResignAction getResignAction | ( |  | ) | const`[inline]`

Definition at line 328 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing().

void setFedTime | ( | const | double | ) |

Store FedTime into a Message.

Parameters:

  | the_time | federation time

Definition at line 200 of file Message.cc.

References Message::fed_time.

Referenced by RTI::RTIambassador::deleteObjectInstance(), RTI::RTIambassador::enableTimeRegulation(), RTI::RTIambassador::flushQueueRequest(), RTI::RTIambassador::nextEventRequest(), RTI::RTIambassador::nextEventRequestAvailable(), RTI::RTIambassador::requestFederationSave(), RTI::RTIambassador::sendInteraction(), RTI::RTIambassador::sendInteractionWithRegion(), RTI::RTIambassador::timeAdvanceRequest(), RTI::RTIambassador::timeAdvanceRequestAvailable(), and RTI::RTIambassador::updateAttributeValues().

double getFedTime | ( |  | ) | const`[inline]`

Definition at line 331 of file Message.hh.

Referenced by RTI::RTIambassador::queryFederateTime(), RTI::RTIambassador::queryLBTS(), and RTI::RTIambassador::queryMinNextEventTime().

void setLookahead | ( | const | double | ) |

Definition at line 207 of file Message.cc.

References Message::lookahead.

Referenced by RTI::RTIambassador::enableTimeRegulation(), and RTI::RTIambassador::modifyLookahead().

void setFederationTime | ( | FederationTime | the_time | ) |

Definition at line 214 of file Message.cc.

References Message::fed_time.

Referenced by RTIA::chooseFederateProcessing(), ObjectManagement::discoverObject(), Message::readHeader(), ObjectManagement::receiveInteraction(), ObjectManagement::reflectAttributeValues(), ObjectManagement::removeObject(), TimeManagement::timeAdvanceGrant(), TimeManagement::timeConstrainedEnabled(), and TimeManagement::timeRegulationEnabled().

FederationTime getFederationTime | ( |  | ) | const`[inline]`

Definition at line 336 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), TimeManagement::timeAdvanceGrant(), and Message::writeHeader().

void setBoolean | ( | bool | the_bool | ) |

Store a boolean into a Message.

Parameters:

  `[in]` | the_bool | boolean

Definition at line 224 of file Message.cc.

Referenced by RTI::RTIambassador::__tick_kernel(), RTIA::chooseFederateProcessing(), RTI::RTIambassador::deleteObjectInstance(), RTI::RTIambassador::disableTimeConstrained(), RTI::RTIambassador::disableTimeRegulation(), RTI::RTIambassador::enableTimeConstrained(), RTI::RTIambassador::enableTimeRegulation(), RTIA::processOngoingTick(), ObjectManagement::receiveInteraction(), ObjectManagement::reflectAttributeValues(), RTI::RTIambassador::registerFederationSynchronizationPoint(), ObjectManagement::removeObject(), RTI::RTIambassador::requestFederationSave(), RTI::RTIambassador::sendInteraction(), RTI::RTIambassador::subscribeInteractionClassWithRegion(), RTI::RTIambassador::subscribeObjectClassAttributes(), RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(), and RTI::RTIambassador::updateAttributeValues().

bool getBoolean | ( |  | ) | const`[inline]`

Definition at line 339 of file Message.hh.

Referenced by RTI::RTIambassador::__tick_kernel(), and RTIA::chooseFederateProcessing().

void setObject | ( | ObjectHandle | the_object | ) |

Store ObjectHandle into a Message.

Parameters:

  | the_object | object handle

Definition at line 234 of file Message.cc.

Referenced by RTI::RTIambassador::associateRegionForUpdates(), OwnershipManagement::attributeIsNotOwned(), RTI::RTIambassador::attributeOwnershipAcquisition(), RTI::RTIambassador::attributeOwnershipAcquisitionIfAvailable(), OwnershipManagement::attributeOwnershipAcquisitionNotification(), OwnershipManagement::attributeOwnershipDivestitureNotification(), RTI::RTIambassador::attributeOwnershipReleaseResponse(), OwnershipManagement::attributeOwnershipUnavailable(), ObjectManagement::attributesInScope(), ObjectManagement::attributesOutOfScope(), RTI::RTIambassador::cancelAttributeOwnershipAcquisition(), RTI::RTIambassador::cancelNegotiatedAttributeOwnershipDivestiture(), RTI::RTIambassador::changeAttributeOrderType(), RTI::RTIambassador::changeAttributeTransportationType(), RTIA::chooseFederateProcessing(), OwnershipManagement::confirmAttributeOwnershipAcquisitionCancellation(), RTI::RTIambassador::deleteObjectInstance(), ObjectManagement::discoverObject(), RTI::RTIambassador::getObjectClass(), RTI::RTIambassador::getObjectInstanceName(), OwnershipManagement::informAttributeOwnership(), RTI::RTIambassador::isAttributeOwnedByFederate(), RTI::RTIambassador::localDeleteObjectInstance(), RTI::RTIambassador::negotiatedAttributeOwnershipDivestiture(), ObjectManagement::provideAttributeValueUpdate(), RTI::RTIambassador::queryAttributeOwnership(), ObjectManagement::reflectAttributeValues(), ObjectManagement::removeObject(), OwnershipManagement::requestAttributeOwnershipAssumption(), OwnershipManagement::requestAttributeOwnershipRelease(), RTI::RTIambassador::requestObjectAttributeValueUpdate(), ObjectManagement::turnUpdatesOffForObjectInstance(), ObjectManagement::turnUpdatesOnForObjectInstance(), RTI::RTIambassador::unassociateRegionForUpdates(), RTI::RTIambassador::unconditionalAttributeOwnershipDivestiture(), and RTI::RTIambassador::updateAttributeValues().

ObjectHandle getObject | ( |  | ) | const`[inline]`

Definition at line 342 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing(), RTI::RTIambassador::getObjectInstanceHandle(), RTI::RTIambassador::registerObjectInstance(), and RTI::RTIambassador::registerObjectInstanceWithRegion().

void setTransportation | ( | TransportType | the_transport | ) |

Definition at line 241 of file Message.cc.

References Message::transport.

Referenced by RTI::RTIambassador::changeAttributeTransportationType(), RTI::RTIambassador::changeInteractionTransportationType(), RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getTransportationName().

TransportType getTransportation | ( |  | ) | const`[inline]`

Definition at line 345 of file Message.hh.

References certi::fedparser::transport.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getTransportationHandle().

void setOrdering | ( | OrderType | the_ordering | ) |

Definition at line 248 of file Message.cc.

References Message::order.

Referenced by RTI::RTIambassador::changeAttributeOrderType(), RTI::RTIambassador::changeInteractionOrderType(), RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getOrderingName().

OrderType getOrdering | ( |  | ) | const`[inline]`

Definition at line 349 of file Message.hh.

References certi::fedparser::order.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getOrderingHandle().

void setEventRetraction | ( | EventRetractionHandle | the_event | ) |

Definition at line 255 of file Message.cc.

References Message::eventRetraction.

Referenced by RTIA::chooseFederateProcessing(), ObjectManagement::discoverObject(), ObjectManagement::receiveInteraction(), ObjectManagement::reflectAttributeValues(), ObjectManagement::removeObject(), and RTI::RTIambassador::retract().

EventRetractionHandle getEventRetraction | ( |  | ) | const`[inline]`

Definition at line 353 of file Message.hh.

Referenced by RTI::RTIambassador::deleteObjectInstance(), RTI::RTIambassador::sendInteraction(), RTI::RTIambassador::sendInteractionWithRegion(), and RTI::RTIambassador::updateAttributeValues().

void setParameter | ( | ParameterHandle | the_parameter | ) |

Definition at line 262 of file Message.cc.

References Message::parameter.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getParameterName().

ParameterHandle getParameter | ( |  | ) | const`[inline]`

Definition at line 357 of file Message.hh.

References certi::fedparser::parameter.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::getParameterHandle().

void setFederate | ( | FederateHandle | the_federate | ) |

Definition at line 282 of file Message.cc.

References Message::federate.

Referenced by RTIA::chooseFederateProcessing(), OwnershipManagement::informAttributeOwnership(), and FederationManagement::initiateFederateRestore().

FederateHandle getFederate | ( |  | ) | const`[inline]`

Definition at line 360 of file Message.hh.

References certi::fedparser::federate.

Referenced by RTI::RTIambassador::joinFederationExecution().

const std::vector< AttributeHandle > & getAHS | ( |  | ) | const

Definition at line 289 of file Message.cc.

References Message::handleArray.

Referenced by RTI::RTIambassador::attributeOwnershipReleaseResponse().

void setAHS | ( | const std::vector< AttributeHandle > & | the_attributes | ) |

Definition at line 296 of file Message.cc.

References certi::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), and pdGendoc.

Referenced by RTI::RTIambassador::associateRegionForUpdates(), RTI::RTIambassador::attributeOwnershipAcquisition(), RTI::RTIambassador::attributeOwnershipAcquisitionIfAvailable(), RTI::RTIambassador::attributeOwnershipReleaseResponse(), RTI::RTIambassador::cancelAttributeOwnershipAcquisition(), RTI::RTIambassador::cancelNegotiatedAttributeOwnershipDivestiture(), RTI::RTIambassador::changeAttributeOrderType(), RTI::RTIambassador::changeAttributeTransportationType(), RTI::RTIambassador::negotiatedAttributeOwnershipDivestiture(), RTI::RTIambassador::publishObjectClass(), RTI::RTIambassador::registerObjectInstanceWithRegion(), RTI::RTIambassador::requestClassAttributeValueUpdate(), RTI::RTIambassador::requestClassAttributeValueUpdateWithRegion(), RTI::RTIambassador::requestObjectAttributeValueUpdate(), RTI::RTIambassador::subscribeObjectClassAttributes(), RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(), and RTI::RTIambassador::unconditionalAttributeOwnershipDivestiture().

Here is the call graph for this function:

void setAHS | ( | const AttributeHandle * | attr,
|  | int | size |
| ) |  |  |

Definition at line 310 of file Message.cc.

References certi::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), and pdGendoc.

Here is the call graph for this function:

std::vector< std::pair< AttributeHandle, AttributeValue_t > > getAHVPS | ( |  | ) | const

Definition at line 324 of file Message.cc.

References Message::handleArray, Message::handleArraySize, and Message::valueArray.

void setAHVPS | ( | const std::vector< std::pair< AttributeHandle, AttributeValue_t > > & | the_attributes | ) |

store attribute set into handleArray and valueArray of a Message

Parameters:

  | the_attributes | attribute set

Definition at line 342 of file Message.cc.

References certi::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, and Message::valueArray.

Referenced by RTI::RTIambassador::updateAttributeValues().

Here is the call graph for this function:

std::vector< std::pair< ParameterHandle, ParameterValue_t > > getPHVPS | ( |  | ) | const

Definition at line 362 of file Message.cc.

References Message::handleArray, Message::handleArraySize, and Message::valueArray.

void setPHVPS | ( | const std::vector< std::pair< ParameterHandle, ParameterValue_t > > & | the_parameters | ) |

Definition at line 377 of file Message.cc.

References certi::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, and Message::valueArray.

Referenced by RTI::RTIambassador::sendInteraction(), and RTI::RTIambassador::sendInteractionWithRegion().

Here is the call graph for this function:

void setAttributes | ( | std::vector< AttributeHandle > & | the_attributes,
|  | ushort | the_size |
| ) |  |  |

Definition at line 397 of file Message.cc.

References Message::handleArray, and Message::handleArraySize.

Referenced by OwnershipManagement::attributeOwnershipAcquisitionNotification(), OwnershipManagement::attributeOwnershipDivestitureNotification(), OwnershipManagement::attributeOwnershipUnavailable(), OwnershipManagement::confirmAttributeOwnershipAcquisitionCancellation(), ObjectManagement::reflectAttributeValues(), OwnershipManagement::requestAttributeOwnershipAssumption(), and OwnershipManagement::requestAttributeOwnershipRelease().

void setAttributes | ( | std::vector< AttributeHandle > & | the_attributes,
|  | std::vector< AttributeValue_t > & | the_values,
|  | ushort | the_size |
| ) |  |  |

Definition at line 412 of file Message.cc.

References certi::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, and Message::valueArray.

Here is the call graph for this function:

void setParameters | ( | std::vector< ParameterHandle > & | the_parameters,
|  | std::vector< ParameterValue_t > & | the_values,
|  | ushort | the_size |
| ) |  |  |

Definition at line 433 of file Message.cc.

References Message::handleArray, Message::handleArraySize, and Message::valueArray.

Referenced by ObjectManagement::receiveInteraction().

void setException | ( | TypeException | the_exception,
|  | const std::string & | the_reason = `""` |
| ) |  |  |

Store exception into message.

Parameters:

  | the_exception | : exception type (enum)
  | the_reason | : exception reason

Definition at line 273 of file Message.cc.

References Message::exceptionReason.

Referenced by RTIA::chooseFederateProcessing(), RTIA::processFederateRequest(), and RTIA::processOngoingTick().

TypeException getExceptionType | ( |  | ) | const`[inline]`

Definition at line 377 of file Message.hh.

Referenced by RTI::RTIambassador::__tick_kernel(), RTI::RTIambassador::attributeOwnershipReleaseResponse(), RTIambPrivateRefs::processException(), DeclarationManagement::stopRegistrationForObjectClass(), DeclarationManagement::turnInteractionsOff(), and DeclarationManagement::turnInteractionsOn().

const char* getExceptionReason | ( |  | ) | const`[inline]`

Definition at line 378 of file Message.hh.

Referenced by RTIambPrivateRefs::processException().

std::string getFEDid | ( |  | ) | const`[inline]`

Definition at line 380 of file Message.hh.

Referenced by RTIA::chooseFederateProcessing().

void setFEDid | ( | std::string | FEDid | ) |

Definition at line 480 of file Message.cc.

References Message::FEDid.

Referenced by RTIA::chooseFederateProcessing(), and RTI::RTIambassador::createFederationExecution().

void displayvalueArray | ( | char * | titre | ) |

Definition at line 591 of file Message.cc.

References Message::valueArray.

Message & operator= | ( | const Message & | msg | ) |

Definition at line 489 of file Message.cc.

References Message::attribute, Message::boolean, Message::dimension, Message::eventRetraction, Message::exceptionReason, Message::fed_time, Message::federate, Message::federateName, Message::federationName, Message::FEDid, Message::firstId, Message::handleArray, Message::handleArraySize, Message::idCount, Message::interactionClass, Message::label, Message::lastId, Message::lookahead, Message::maxTickTime, Message::minTickTime, Message::name, Message::object, Message::objectClass, Message::order, Message::parameter, Message::resignAction, RTI::EventRetractionHandle_s::sendingFederate, Message::space, Message::tag, RTI::EventRetractionHandle_s::theSerialNumber, Message::transport, Message::type, and Message::valueArray.

void display | ( | char * | s | ) |

Definition at line 551 of file Message.cc.

References Message::attribute, Message::CREATE_FEDERATION_EXECUTION, Message::DESTROY_FEDERATION_EXECUTION, Message::dimension, Message::exceptionReason, Message::fed_time, Message::federate, Message::FEDERATE_RESTORE_COMPLETE, Message::FEDERATE_SAVE_COMPLETE, Message::federateName, Message::federationName, Message::FEDid, FedTime::getTime(), Message::handleArraySize, Message::interactionClass, Message::JOIN_FEDERATION_EXECUTION, Message::objectClass, Message::parameter, Message::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE, Message::space, and Message::type.

Here is the call graph for this function:

void readBody | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Read a Message Body from a Socket, should be called after ReadHeader.

Definition at line 75 of file Message_R.cc.

References Message::ANNOUNCE_SYNCHRONIZATION_POINT, Message::attribute, Message::ATTRIBUTE_IS_NOT_OWNED, Message::ATTRIBUTE_OWNERSHIP_ACQUISITION, Message::ATTRIBUTE_OWNERSHIP_ACQUISITION_IF_AVAILABLE, Message::ATTRIBUTE_OWNERSHIP_ACQUISITION_NOTIFICATION, Message::ATTRIBUTE_OWNERSHIP_DIVESTITURE_NOTIFICATION, Message::ATTRIBUTE_OWNERSHIP_RELEASE_RESPONSE, Message::ATTRIBUTE_OWNERSHIP_UNAVAILABLE, Message::CANCEL_ATTRIBUTE_OWNERSHIP_ACQUISITION, Message::CANCEL_NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, Message::CHANGE_ATTRIBUTE_ORDER_TYPE, Message::CHANGE_ATTRIBUTE_TRANSPORTATION_TYPE, Message::CHANGE_INTERACTION_ORDER_TYPE, Message::CHANGE_INTERACTION_TRANSPORTATION_TYPE, Message::CLOSE_CONNEXION, Message::CONFIRM_ATTRIBUTE_OWNERSHIP_ACQUISITION_CANCELLATION, Message::CREATE_FEDERATION_EXECUTION, Message::DDM_ASSOCIATE_REGION, Message::DDM_CREATE_REGION, Message::DDM_DELETE_REGION, Message::DDM_MODIFY_REGION, Message::DDM_REGISTER_OBJECT, Message::DDM_SUBSCRIBE_ATTRIBUTES, Message::DDM_SUBSCRIBE_INTERACTION, Message::DDM_UNASSOCIATE_REGION, Message::DDM_UNSUBSCRIBE_ATTRIBUTES, Message::DDM_UNSUBSCRIBE_INTERACTION, Message::DELETE_OBJECT_INSTANCE, Message::DESTROY_FEDERATION_EXECUTION, Message::dimension, Message::DISABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, Message::DISABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH, Message::DISABLE_CLASS_RELEVANCE_ADVISORY_SWITCH, Message::DISABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH, Message::DISABLE_TIME_CONSTRAINED, Message::DISABLE_TIME_REGULATION, Message::DISCOVER_OBJECT_INSTANCE, certi::e_NO_EXCEPTION, Message::ENABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, Message::ENABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH, Message::ENABLE_CLASS_RELEVANCE_ADVISORY_SWITCH, Message::ENABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH, Message::ENABLE_TIME_CONSTRAINED, Message::ENABLE_TIME_REGULATION, Message::exceptionReason, Message::fed_time, Message::federate, Message::FEDERATION_SYNCHRONIZED, certi::G, Message::GET_ATTRIBUTE_HANDLE, Message::GET_ATTRIBUTE_NAME, Message::GET_ATTRIBUTE_SPACE_HANDLE, Message::GET_DIMENSION_HANDLE, Message::GET_DIMENSION_NAME, Message::GET_INTERACTION_CLASS_HANDLE, Message::GET_INTERACTION_CLASS_NAME, Message::GET_INTERACTION_SPACE_HANDLE, Message::GET_OBJECT_CLASS, Message::GET_OBJECT_CLASS_HANDLE, Message::GET_OBJECT_CLASS_NAME, Message::GET_OBJECT_INSTANCE_HANDLE, Message::GET_OBJECT_INSTANCE_NAME, Message::GET_ORDERING_HANDLE, Message::GET_ORDERING_NAME, Message::GET_PARAMETER_HANDLE, Message::GET_PARAMETER_NAME, Message::GET_SPACE_HANDLE, Message::GET_SPACE_NAME, Message::GET_TRANSPORTATION_HANDLE, Message::GET_TRANSPORTATION_NAME, Message::handleArraySize, Message::INFORM_ATTRIBUTE_OWNERSHIP, Message::INITIATE_FEDERATE_RESTORE, Message::INITIATE_FEDERATE_SAVE, Message::interactionClass, Message::IS_ATTRIBUTE_OWNED_BY_FEDERATE, Message::JOIN_FEDERATION_EXECUTION, Message::LOCAL_DELETE_OBJECT_INSTANCE, Message::lookahead, Message::maxTickTime, Message::minTickTime, Message::MODIFY_LOOKAHEAD, Message::NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, Message::number, Message::objectClass, Message::order, PrettyDebug::Out(), Message::parameter, pdGendoc, Message::PROVIDE_ATTRIBUTE_VALUE_UPDATE, Message::PUBLISH_INTERACTION_CLASS, Message::PUBLISH_OBJECT_CLASS, Message::QUERY_ATTRIBUTE_OWNERSHIP, Message::QUERY_LOOKAHEAD, MessageBuffer::read_bool(), MessageBuffer::read_string(), BasicMessage::readExtents(), Message::readFederateName(), Message::readFederationName(), Message::readFEDid(), Message::readHandleArray(), Message::readLabel(), Message::readName(), BasicMessage::readRegions(), Message::readResignAction(), Message::readTag(), Message::readValueArray(), Message::RECEIVE_INTERACTION, Message::REFLECT_ATTRIBUTE_VALUES, Message::region, Message::REGISTER_FEDERATION_SYNCHRONIZATION_POINT, Message::REGISTER_OBJECT_INSTANCE, Message::REMOVE_OBJECT_INSTANCE, Message::REQUEST_ATTRIBUTE_OWNERSHIP_ASSUMPTION, Message::REQUEST_ATTRIBUTE_OWNERSHIP_RELEASE, Message::REQUEST_CLASS_ATTRIBUTE_VALUE_UPDATE, Message::REQUEST_FEDERATION_RESTORE, Message::REQUEST_FEDERATION_RESTORE_FAILED, Message::REQUEST_FEDERATION_RESTORE_SUCCEEDED, Message::REQUEST_FEDERATION_SAVE, Message::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE, Message::RESIGN_FEDERATION_EXECUTION, Message::SEND_INTERACTION, FedTime::setZero(), Message::space, Message::START_REGISTRATION_FOR_OBJECT_CLASS, Message::STOP_REGISTRATION_FOR_OBJECT_CLASS, Message::SUBSCRIBE_INTERACTION_CLASS, Message::SUBSCRIBE_OBJECT_CLASS_ATTRIBUTES, Message::SYNCHRONIZATION_POINT_ACHIEVED, Message::SYNCHRONIZATION_POINT_REGISTRATION_FAILED, Message::SYNCHRONIZATION_POINT_REGISTRATION_SUCCEEDED, Message::TICK_REQUEST, Message::trace(), Message::transport, Message::TURN_INTERACTIONS_OFF, Message::TURN_INTERACTIONS_ON, Message::type, Message::UNCONDITIONAL_ATTRIBUTE_OWNERSHIP_DIVESTITURE, Message::UNPUBLISH_INTERACTION_CLASS, Message::UNPUBLISH_OBJECT_CLASS, Message::UNSUBSCRIBE_INTERACTION_CLASS, Message::UNSUBSCRIBE_OBJECT_CLASS, and Message::UPDATE_ATTRIBUTE_VALUES.

Referenced by Message::deserialize().

Here is the call graph for this function:

void readHeader | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Read a Header Message

Definition at line 546 of file Message_R.cc.

References certi::D, certi::e_NO_EXCEPTION, certi::G, PrettyDebug::Out(), pdDebug, pdGendoc, Message::setFederationTime(), and Message::type.

Referenced by Message::deserialize().

Here is the call graph for this function:

void writeBody | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Prepare and write a Body to a socket, should be called after WriteHeader. The message is written onto the socket by WriteHeader if no body is required, or by WriteBody is a body has been required by WriteHeader.

Definition at line 83 of file Message_W.cc.

References Message::ANNOUNCE_SYNCHRONIZATION_POINT, Message::attribute, Message::ATTRIBUTE_IS_NOT_OWNED, Message::ATTRIBUTE_OWNERSHIP_ACQUISITION, Message::ATTRIBUTE_OWNERSHIP_ACQUISITION_IF_AVAILABLE, Message::ATTRIBUTE_OWNERSHIP_ACQUISITION_NOTIFICATION, Message::ATTRIBUTE_OWNERSHIP_DIVESTITURE_NOTIFICATION, Message::ATTRIBUTE_OWNERSHIP_RELEASE_RESPONSE, Message::ATTRIBUTE_OWNERSHIP_UNAVAILABLE, Message::CANCEL_ATTRIBUTE_OWNERSHIP_ACQUISITION, Message::CANCEL_NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, Message::CHANGE_ATTRIBUTE_ORDER_TYPE, Message::CHANGE_ATTRIBUTE_TRANSPORTATION_TYPE, Message::CHANGE_INTERACTION_ORDER_TYPE, Message::CHANGE_INTERACTION_TRANSPORTATION_TYPE, Message::CLOSE_CONNEXION, Message::CONFIRM_ATTRIBUTE_OWNERSHIP_ACQUISITION_CANCELLATION, Message::CREATE_FEDERATION_EXECUTION, Message::DDM_ASSOCIATE_REGION, Message::DDM_CREATE_REGION, Message::DDM_DELETE_REGION, Message::DDM_MODIFY_REGION, Message::DDM_REGISTER_OBJECT, Message::DDM_SUBSCRIBE_ATTRIBUTES, Message::DDM_SUBSCRIBE_INTERACTION, Message::DDM_UNASSOCIATE_REGION, Message::DDM_UNSUBSCRIBE_ATTRIBUTES, Message::DDM_UNSUBSCRIBE_INTERACTION, Message::DELETE_OBJECT_INSTANCE, Message::DESTROY_FEDERATION_EXECUTION, Message::dimension, Message::DISABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, Message::DISABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH, Message::DISABLE_CLASS_RELEVANCE_ADVISORY_SWITCH, Message::DISABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH, Message::DISABLE_TIME_CONSTRAINED, Message::DISABLE_TIME_REGULATION, Message::DISCOVER_OBJECT_INSTANCE, certi::e_NO_EXCEPTION, Message::ENABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH, Message::ENABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH, Message::ENABLE_CLASS_RELEVANCE_ADVISORY_SWITCH, Message::ENABLE_INTERACTION_RELEVANCE_ADVISORY_SWITCH, Message::ENABLE_TIME_CONSTRAINED, Message::ENABLE_TIME_REGULATION, Message::exceptionReason, Message::federate, Message::federateName, Message::FEDERATION_SYNCHRONIZED, certi::G, Message::GET_ATTRIBUTE_HANDLE, Message::GET_ATTRIBUTE_NAME, Message::GET_ATTRIBUTE_SPACE_HANDLE, Message::GET_DIMENSION_HANDLE, Message::GET_DIMENSION_NAME, Message::GET_INTERACTION_CLASS_HANDLE, Message::GET_INTERACTION_CLASS_NAME, Message::GET_INTERACTION_SPACE_HANDLE, Message::GET_OBJECT_CLASS, Message::GET_OBJECT_CLASS_HANDLE, Message::GET_OBJECT_CLASS_NAME, Message::GET_OBJECT_INSTANCE_HANDLE, Message::GET_OBJECT_INSTANCE_NAME, Message::GET_ORDERING_HANDLE, Message::GET_ORDERING_NAME, Message::GET_PARAMETER_HANDLE, Message::GET_PARAMETER_NAME, Message::GET_SPACE_HANDLE, Message::GET_SPACE_NAME, Message::GET_TRANSPORTATION_HANDLE, Message::GET_TRANSPORTATION_NAME, FedTime::getTime(), Message::handleArraySize, Message::INFORM_ATTRIBUTE_OWNERSHIP, Message::INITIATE_FEDERATE_RESTORE, Message::INITIATE_FEDERATE_SAVE, Message::interactionClass, Message::IS_ATTRIBUTE_OWNED_BY_FEDERATE, Message::JOIN_FEDERATION_EXECUTION, Message::label, Message::LOCAL_DELETE_OBJECT_INSTANCE, Message::lookahead, Message::maxTickTime, Message::minTickTime, Message::MODIFY_LOOKAHEAD, Message::name, Message::NEGOTIATED_ATTRIBUTE_OWNERSHIP_DIVESTITURE, Message::number, Message::objectClass, Message::order, PrettyDebug::Out(), Message::parameter, pdGendoc, Message::PROVIDE_ATTRIBUTE_VALUE_UPDATE, Message::PUBLISH_INTERACTION_CLASS, Message::PUBLISH_OBJECT_CLASS, Message::QUERY_ATTRIBUTE_OWNERSHIP, Message::QUERY_LOOKAHEAD, Message::RECEIVE_INTERACTION, Message::REFLECT_ATTRIBUTE_VALUES, Message::region, Message::REGISTER_FEDERATION_SYNCHRONIZATION_POINT, Message::REGISTER_OBJECT_INSTANCE, Message::REMOVE_OBJECT_INSTANCE, Message::REQUEST_ATTRIBUTE_OWNERSHIP_ASSUMPTION, Message::REQUEST_ATTRIBUTE_OWNERSHIP_RELEASE, Message::REQUEST_CLASS_ATTRIBUTE_VALUE_UPDATE, Message::REQUEST_FEDERATION_RESTORE, Message::REQUEST_FEDERATION_RESTORE_FAILED, Message::REQUEST_FEDERATION_RESTORE_SUCCEEDED, Message::REQUEST_FEDERATION_SAVE, Message::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE, Message::RESIGN_FEDERATION_EXECUTION, Message::SEND_INTERACTION, Message::space, Message::START_REGISTRATION_FOR_OBJECT_CLASS, Message::STOP_REGISTRATION_FOR_OBJECT_CLASS, Message::SUBSCRIBE_INTERACTION_CLASS, Message::SUBSCRIBE_OBJECT_CLASS_ATTRIBUTES, Message::SYNCHRONIZATION_POINT_ACHIEVED, Message::SYNCHRONIZATION_POINT_REGISTRATION_FAILED, Message::SYNCHRONIZATION_POINT_REGISTRATION_SUCCEEDED, Message::tag, Message::TICK_REQUEST, Message::transport, Message::TURN_INTERACTIONS_OFF, Message::TURN_INTERACTIONS_ON, Message::type, Message::UNCONDITIONAL_ATTRIBUTE_OWNERSHIP_DIVESTITURE, Message::UNPUBLISH_INTERACTION_CLASS, Message::UNPUBLISH_OBJECT_CLASS, Message::UNSUBSCRIBE_INTERACTION_CLASS, Message::UNSUBSCRIBE_OBJECT_CLASS, Message::UPDATE_ATTRIBUTE_VALUES, MessageBuffer::write_bool(), MessageBuffer::write_string(), BasicMessage::writeExtents(), Message::writeFederationName(), Message::writeFEDid(), Message::writeHandleArray(), BasicMessage::writeRegions(), Message::writeResignAction(), and Message::writeValueArray().

Referenced by Message::serialize().

Here is the call graph for this function:

void writeHeader | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Prepare the Message Header

Definition at line 559 of file Message_W.cc.

References certi::e_NO_EXCEPTION, certi::G, Message::getFederationTime(), PrettyDebug::Out(), pdGendoc, and Message::type.

Referenced by Message::serialize().

Here is the call graph for this function:

void readHandleArray | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 571 of file Message_R.cc.

References Message::handleArray, and Message::handleArraySize.

Referenced by Message::readBody().

void readLabel | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 583 of file Message_R.cc.

References Message::label, and MessageBuffer::read_string().

Referenced by Message::readBody().

Here is the call graph for this function:

void readName | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 590 of file Message_R.cc.

References Message::name, and MessageBuffer::read_string().

Referenced by Message::readBody().

Here is the call graph for this function:

void readFederationName | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 597 of file Message_R.cc.

References Message::federationName, and MessageBuffer::read_string().

Referenced by Message::readBody().

Here is the call graph for this function:

void readFederateName | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 604 of file Message_R.cc.

References Message::federateName, and MessageBuffer::read_string().

Referenced by Message::readBody().

Here is the call graph for this function:

void readResignAction | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 611 of file Message_R.cc.

Referenced by Message::readBody().

void readTag | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 618 of file Message_R.cc.

References MessageBuffer::read_string(), and Message::tag.

Referenced by Message::readBody().

Here is the call graph for this function:

void readValueArray | ( | MessageBuffer & | msgBuffer | ) | `[private]`

readValueArray.

Definition at line 633 of file Message_R.cc.

References certi::G, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, MessageBuffer::read_string(), and Message::valueArray.

Referenced by Message::readBody().

Here is the call graph for this function:

void readFEDid | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 625 of file Message_R.cc.

References Message::FEDid, and MessageBuffer::read_string().

Referenced by Message::readBody().

Here is the call graph for this function:

void writeHandleArray | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 545 of file Message_W.cc.

References Message::handleArray, and Message::handleArraySize.

Referenced by Message::writeBody().

void writeResignAction | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 581 of file Message_W.cc.

Referenced by Message::writeBody().

void writeValueArray | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 602 of file Message_W.cc.

References Message::handleArraySize, Message::valueArray, and MessageBuffer::write_string().

Referenced by Message::writeBody().

Here is the call graph for this function:

void writeFEDid | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 588 of file Message_W.cc.

References Message::FEDid, and MessageBuffer::write_string().

Referenced by Message::writeBody().

Here is the call graph for this function:

void writeFederationName | ( | MessageBuffer & | msgBuffer | ) | `[private]`

Definition at line 595 of file Message_W.cc.

References Message::federationName, and MessageBuffer::write_string().

Referenced by Message::writeBody().

Here is the call graph for this function:

## Member Data Documentation

Type type

Definition at line 386 of file Message.hh.

Referenced by RTI::RTIambassador::__tick_kernel(), FederationManagement::announceSynchronizationPoint(), RTI::RTIambassador::associateRegionForUpdates(), OwnershipManagement::attributeIsNotOwned(), RTI::RTIambassador::attributeOwnershipAcquisition(), RTI::RTIambassador::attributeOwnershipAcquisitionIfAvailable(), OwnershipManagement::attributeOwnershipAcquisitionNotification(), OwnershipManagement::attributeOwnershipDivestitureNotification(), RTI::RTIambassador::attributeOwnershipReleaseResponse(), OwnershipManagement::attributeOwnershipUnavailable(), ObjectManagement::attributesInScope(), ObjectManagement::attributesOutOfScope(), RTI::RTIambassador::cancelAttributeOwnershipAcquisition(), RTI::RTIambassador::cancelNegotiatedAttributeOwnershipDivestiture(), RTI::RTIambassador::changeAttributeOrderType(), RTI::RTIambassador::changeAttributeTransportationType(), RTI::RTIambassador::changeInteractionOrderType(), RTI::RTIambassador::changeInteractionTransportationType(), RTIA::chooseFederateProcessing(), OwnershipManagement::confirmAttributeOwnershipAcquisitionCancellation(), RTI::RTIambassador::createFederationExecution(), RTI::RTIambassador::deleteObjectInstance(), RTI::RTIambassador::destroyFederationExecution(), RTI::RTIambassador::disableAsynchronousDelivery(), RTI::RTIambassador::disableAttributeRelevanceAdvisorySwitch(), RTI::RTIambassador::disableAttributeScopeAdvisorySwitch(), RTI::RTIambassador::disableClassRelevanceAdvisorySwitch(), RTI::RTIambassador::disableInteractionRelevanceAdvisorySwitch(), RTI::RTIambassador::disableTimeConstrained(), RTI::RTIambassador::disableTimeRegulation(), ObjectManagement::discoverObject(), Message::display(), RTI::RTIambassador::enableAsynchronousDelivery(), RTI::RTIambassador::enableAttributeRelevanceAdvisorySwitch(), RTI::RTIambassador::enableAttributeScopeAdvisorySwitch(), RTI::RTIambassador::enableClassRelevanceAdvisorySwitch(), RTI::RTIambassador::enableInteractionRelevanceAdvisorySwitch(), RTI::RTIambassador::enableTimeConstrained(), RTI::RTIambassador::enableTimeRegulation(), RTIambPrivateRefs::executeService(), RTI::RTIambassador::federateRestoreComplete(), RTI::RTIambassador::federateRestoreNotComplete(), RTI::RTIambassador::federateSaveBegun(), RTI::RTIambassador::federateSaveComplete(), RTI::RTIambassador::federateSaveNotComplete(), FederationManagement::federationRestoreBegun(), FederationManagement::federationRestoredStatus(), FederationManagement::federationSavedStatus(), FederationManagement::federationSynchronized(), RTI::RTIambassador::flushQueueRequest(), RTI::RTIambassador::getAttributeHandle(), RTI::RTIambassador::getAttributeName(), RTI::RTIambassador::getAttributeRoutingSpaceHandle(), RTI::RTIambassador::getDimensionHandle(), RTI::RTIambassador::getDimensionName(), RTI::RTIambassador::getInteractionClassHandle(), RTI::RTIambassador::getInteractionClassName(), RTI::RTIambassador::getInteractionRoutingSpaceHandle(), RTI::RTIambassador::getObjectClass(), RTI::RTIambassador::getObjectClassHandle(), RTI::RTIambassador::getObjectClassName(), RTI::RTIambassador::getObjectInstanceHandle(), RTI::RTIambassador::getObjectInstanceName(), RTI::RTIambassador::getOrderingHandle(), RTI::RTIambassador::getOrderingName(), RTI::RTIambassador::getParameterHandle(), RTI::RTIambassador::getParameterName(), RTI::RTIambassador::getRoutingSpaceHandle(), RTI::RTIambassador::getRoutingSpaceName(), RTI::RTIambassador::getTransportationHandle(), RTI::RTIambassador::getTransportationName(), OwnershipManagement::informAttributeOwnership(), FederationManagement::initiateFederateRestore(), FederationManagement::initiateFederateSave(), RTI::RTIambassador::isAttributeOwnedByFederate(), RTI::RTIambassador::joinFederationExecution(), RTI::RTIambassador::localDeleteObjectInstance(), Message::Message(), RTI::RTIambassador::modifyLookahead(), RTI::RTIambassador::negotiatedAttributeOwnershipDivestiture(), RTI::RTIambassador::nextEventRequest(), RTI::RTIambassador::nextEventRequestAvailable(), Message::operator=(), RTIA::processFederateRequest(), RTIA::processOngoingTick(), ObjectManagement::provideAttributeValueUpdate(), RTI::RTIambassador::publishInteractionClass(), RTI::RTIambassador::publishObjectClass(), RTI::RTIambassador::queryAttributeOwnership(), RTI::RTIambassador::queryFederateTime(), RTI::RTIambassador::queryLBTS(), RTI::RTIambassador::queryLookahead(), RTI::RTIambassador::queryMinNextEventTime(), Message::readBody(), Message::readHeader(), ObjectManagement::receiveInteraction(), ObjectManagement::reflectAttributeValues(), RTI::RTIambassador::registerFederationSynchronizationPoint(), RTI::RTIambassador::registerObjectInstance(), ObjectManagement::removeObject(), OwnershipManagement::requestAttributeOwnershipAssumption(), OwnershipManagement::requestAttributeOwnershipRelease(), RTI::RTIambassador::requestClassAttributeValueUpdate(), Communications::requestFederateService(), RTI::RTIambassador::requestFederationRestore(), FederationManagement::requestFederationRestoreStatus(), RTI::RTIambassador::requestFederationSave(), RTI::RTIambassador::requestObjectAttributeValueUpdate(), RTI::RTIambassador::resignFederationExecution(), RTI::RTIambassador::retract(), RTI::RTIambassador::sendInteraction(), RTIambPrivateRefs::sendTickRequestStop(), Message::serialize(), Message::setType(), DeclarationManagement::startRegistrationForObjectClass(), DeclarationManagement::stopRegistrationForObjectClass(), RTI::RTIambassador::subscribeInteractionClass(), RTI::RTIambassador::subscribeInteractionClassWithRegion(), RTI::RTIambassador::subscribeObjectClassAttributes(), RTI::RTIambassador::subscribeObjectClassAttributesWithRegion(), RTI::RTIambassador::synchronizationPointAchieved(), FederationManagement::synchronizationPointRegistrationFailed(), FederationManagement::synchronizationPointRegistrationSucceeded(), TimeManagement::timeAdvanceGrant(), RTI::RTIambassador::timeAdvanceRequest(), RTI::RTIambassador::timeAdvanceRequestAvailable(), TimeManagement::timeConstrainedEnabled(), TimeManagement::timeRegulationEnabled(), Message::trace(), DeclarationManagement::turnInteractionsOff(), DeclarationManagement::turnInteractionsOn(), ObjectManagement::turnUpdatesOffForObjectInstance(), ObjectManagement::turnUpdatesOnForObjectInstance(), RTI::RTIambassador::unassociateRegionForUpdates(), RTI::RTIambassador::unconditionalAttributeOwnershipDivestiture(), RTI::RTIambassador::unpublishInteractionClass(), RTI::RTIambassador::unpublishObjectClass(), RTI::RTIambassador::unsubscribeInteractionClass(), RTI::RTIambassador::unsubscribeInteractionClassWithRegion(), RTI::RTIambassador::unsubscribeObjectClass(), RTI::RTIambassador::unsubscribeObjectClassWithRegion(), RTI::RTIambassador::updateAttributeValues(), Message::writeBody(), Message::writeHeader(), and RTI::RTIambassador::~RTIambassador().

std::string exceptionReason`[final, protected]`

Definition at line 389 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setException(), and Message::writeBody().

FedTime fed_time`[protected]`

Definition at line 392 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setFederationTime(), and Message::setFedTime().

bool boolean`[protected]`

Definition at line 393 of file Message.hh.

Referenced by Message::operator=().

FederationTimeDelta lookahead`[protected]`

Definition at line 394 of file Message.hh.

Referenced by Message::Message(), Message::operator=(), Message::readBody(), Message::setFederationTimeDelta(), Message::setLookahead(), and Message::writeBody().

FederateHandle federate`[protected]`

Definition at line 395 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setFederate(), and Message::writeBody().

RTI::ResignAction resignAction`[protected]`

Definition at line 396 of file Message.hh.

Referenced by Message::Message(), Message::operator=(), and Message::setResignAction().

UShort idCount`[protected]`

Definition at line 397 of file Message.hh.

Referenced by Message::Message(), and Message::operator=().

ObjectHandle firstId`[protected]`

Definition at line 398 of file Message.hh.

Referenced by Message::Message(), and Message::operator=().

ObjectHandle lastId`[protected]`

Definition at line 399 of file Message.hh.

Referenced by Message::Message(), and Message::operator=().

ObjectClassHandle objectClass`[protected]`

Definition at line 400 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setObjectClass(), and Message::writeBody().

InteractionClassHandle interactionClass`[protected]`

Definition at line 401 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setInteractionClass(), and Message::writeBody().

AttributeHandle attribute`[protected]`

Definition at line 402 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setAttribute(), and Message::writeBody().

ParameterHandle parameter`[protected]`

Definition at line 403 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setParameter(), and Message::writeBody().

ObjectHandle object`[protected]`

Definition at line 404 of file Message.hh.

Referenced by Message::operator=().

TransportType transport`[protected]`

Definition at line 405 of file Message.hh.

Referenced by Message::Message(), Message::operator=(), Message::readBody(), Message::setTransportation(), and Message::writeBody().

OrderType order`[protected]`

Definition at line 406 of file Message.hh.

Referenced by Message::Message(), Message::operator=(), Message::readBody(), Message::setOrdering(), and Message::writeBody().

EventRetractionHandle eventRetraction`[protected]`

Definition at line 407 of file Message.hh.

Referenced by Message::operator=(), and Message::setEventRetraction().

SpaceHandle space`[protected]`

Definition at line 408 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setSpace(), and Message::writeBody().

DimensionHandle dimension`[protected]`

Definition at line 409 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readBody(), Message::setDimension(), and Message::writeBody().

unsigned long number`[protected]`

Definition at line 412 of file Message.hh.

Referenced by Message::Message(), Message::readBody(), Message::setNumber(), and Message::writeBody().

long region`[protected]`

Definition at line 413 of file Message.hh.

Referenced by Message::Message(), Message::readBody(), Message::setRegion(), and Message::writeBody().

RTI::TickTime minTickTime`[protected]`

Definition at line 414 of file Message.hh.

Referenced by Message::operator=(), Message::readBody(), Message::setMinTickTime(), and Message::writeBody().

RTI::TickTime maxTickTime`[protected]`

Definition at line 415 of file Message.hh.

Referenced by Message::operator=(), Message::readBody(), Message::setMaxTickTime(), and Message::writeBody().

UShort handleArraySize

Definition at line 420 of file Message.hh.

Referenced by ObjectManagement::attributesInScope(), ObjectManagement::attributesOutOfScope(), RTIA::chooseFederateProcessing(), Message::display(), Message::getAHVPS(), Message::getPHVPS(), Message::getValueArray(), Message::Message(), Message::operator=(), ObjectManagement::provideAttributeValueUpdate(), Message::readBody(), Message::readHandleArray(), Message::readValueArray(), RTI::RTIambassador::registerFederationSynchronizationPoint(), Message::setAHS(), Message::setAHVPS(), Message::setAttributes(), Message::setParameters(), Message::setPHVPS(), ObjectManagement::turnUpdatesOffForObjectInstance(), ObjectManagement::turnUpdatesOnForObjectInstance(), Message::writeBody(), Message::writeHandleArray(), and Message::writeValueArray().

std::vector<AttributeHandle> handleArray

Definition at line 421 of file Message.hh.

Referenced by ObjectManagement::attributesInScope(), ObjectManagement::attributesOutOfScope(), RTIA::chooseFederateProcessing(), Message::getAHS(), Message::getAHVPS(), Message::getPHVPS(), Message::operator=(), ObjectManagement::provideAttributeValueUpdate(), Message::readHandleArray(), RTI::RTIambassador::registerFederationSynchronizationPoint(), Message::setAHS(), Message::setAHVPS(), Message::setAttributes(), Message::setParameters(), Message::setPHVPS(), ObjectManagement::turnUpdatesOffForObjectInstance(), ObjectManagement::turnUpdatesOnForObjectInstance(), and Message::writeHandleArray().

std::vector<AttributeValue_t> valueArray

Definition at line 422 of file Message.hh.

Referenced by Message::displayvalueArray(), Message::getAHVPS(), Message::getPHVPS(), Message::getValueArray(), Message::Message(), Message::operator=(), Message::readValueArray(), Message::setAHVPS(), Message::setAttributes(), Message::setParameters(), Message::setPHVPS(), and Message::writeValueArray().

MessageHeader header`[private]`

Definition at line 466 of file Message.hh.

std::string label`[private]`

Definition at line 467 of file Message.hh.

Referenced by Message::Message(), Message::operator=(), Message::readLabel(), Message::setLabel(), and Message::writeBody().

std::string name`[private]`

Definition at line 468 of file Message.hh.

Referenced by Message::Message(), Message::operator=(), Message::readName(), Message::setName(), and Message::writeBody().

std::string federateName`[private]`

Definition at line 469 of file Message.hh.

Referenced by Message::display(), Message::Message(), Message::operator=(), Message::readFederateName(), Message::setFederateName(), and Message::writeBody().

std::string federationName`[private]`

Definition at line 470 of file Message.hh.

Referenced by Message::display(), Message::operator=(), Message::readFederationName(), Message::setFederationName(), and Message::writeFederationName().

std::string tag`[private]`

Definition at line 472 of file Message.hh.

Referenced by Message::Message(), Message::operator=(), Message::readTag(), Message::setTag(), and Message::writeBody().

std::string FEDid`[private]`

Definition at line 473 of file Message.hh.

Referenced by Message::display(), Message::operator=(), Message::readFEDid(), Message::setFEDid(), and Message::writeFEDid().

The documentation for this class was generated from the following files:

- Message.hh
- Message.cc
- Message_R.cc
- Message_W.cc